## org.mortbay.jetty.servlet
Class ErrorPageErrorHandler

    java.lang.Object
      org.mortbay.component.AbstractLifeCycle
          org.mortbay.jetty.handler.AbstractHandler
              org.mortbay.jetty.handler.ErrorHandler
                  org.mortbay.jetty.servlet.ErrorPageErrorHandler

All Implemented Interfaces:
  LifeCycle, Handler

    public class ErrorPageErrorHandler

extends ErrorHandler

Error Page Error Handler An ErrorHandler that maps exceptions and status codes to URIs for dispatch using the internal ERROR style of dispatch.

Author:
  gregw

Field Summary
`protected Map` `_errorPages`
`protected ServletContext` `_servletContext`

Fields inherited from class org.mortbay.jetty.handler.AbstractHandler
`_string`

Fields inherited from interface org.mortbay.jetty.Handler
`ALL, DEFAULT, ERROR, FORWARD, INCLUDE, REQUEST`

Constructor Summary
`ErrorPageErrorHandler()`

Method Summary
`void` `addErrorPage(Class exception, String uri)`
`void` `addErrorPage(int code, String uri)`
`protected void` `doStart()`
`protected void` `doStop()`
`Map` `getErrorPages()`
`void` `handle(String target, HttpServletRequest request, HttpServletResponse response, int dispatch)` Handle a request.
`void` `setErrorPages(Map errorPages)`

Methods inherited from class org.mortbay.jetty.handler.ErrorHandler
`handleErrorPage, isShowStacks, setShowStacks, writeErrorPage, writeErrorPageBody, writeErrorPageHead, writeErrorPageMessage, writeErrorPageStacks`

Methods inherited from class org.mortbay.jetty.handler.AbstractHandler
`destroy, getServer, setServer, toString`

Methods inherited from class org.mortbay.component.AbstractLifeCycle
`isFailed, isRunning, isStarted, isStarting, isStopped, isStopping, start, stop`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.mortbay.component.LifeCycle
`isFailed, isRunning, isStarted, isStarting, isStopped, isStopping, start, stop`

Field Detail

### _servletContext

    protected ServletContext _servletContext

### _errorPages

    protected Map _errorPages

Constructor Detail

### ErrorPageErrorHandler

    public ErrorPageErrorHandler()

Parameters:
  `context` -

Method Detail

### handle

    public void handle(String target,
                       HttpServletRequest request,
                       HttpServletResponse response,
                       int dispatch)
                throws IOException

  Description copied from interface: `Handler`
  Handle a request.

  Specified by:
    `handle` in interface `Handler`
  Overrides:
    `handle` in class `ErrorHandler`
  Parameters:
    `target` - The target of the request - either a URI or a name.
    `request` - The request either as the `Request` object or a wrapper of that request. The `HttpConnection.getCurrentConnection()` method can be used access the Request object if required.
    `response` - The response as the `Response` object or a wrapper of that request. The `HttpConnection.getCurrentConnection()` method can be used access the Response object if required.
    `dispatch` - The dispatch mode: `Handler.REQUEST`, `Handler.FORWARD`, `Handler.INCLUDE`, `Handler.ERROR`
  Throws:
    `IOException`

### getErrorPages

    public Map getErrorPages()

  Returns:
    Returns the errorPages.

### setErrorPages

    public void setErrorPages(Map errorPages)

  Parameters:
    `errorPages` - The errorPages to set. A map of Exception class name or error code as a string to URI string

### addErrorPage

    public void addErrorPage(Class exception,
                             String uri)

### addErrorPage

    public void addErrorPage(int code,
                             String uri)

### doStart

    protected void doStart()
                    throws Exception

  Overrides:
    `doStart` in class `AbstractHandler`
  Throws:
    `Exception`

### doStop

    protected void doStop()
                   throws Exception

  Overrides:
    `doStop` in class `AbstractHandler`
  Throws:
    `Exception`

Copyright © 2007 Mort Bay Consulting. All Rights Reserved.